Update a user subscription
curl --request PUT \
--url https://api.extole.io/v6/users/{user_id}/subscriptions/{subscription_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"channels": [
{
"type": "EMAIL"
}
],
"dedupe_duration_ms": 1,
"filter_expression": true,
"filtering_level": "ALL",
"having_all_tags": [
"having_all_tag"
]
}
'import requests
url = "https://api.extole.io/v6/users/{user_id}/subscriptions/{subscription_id}"
payload = {
"channels": [{ "type": "EMAIL" }],
"dedupe_duration_ms": 1,
"filter_expression": True,
"filtering_level": "ALL",
"having_all_tags": ["having_all_tag"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channels: [{type: 'EMAIL'}],
dedupe_duration_ms: 1,
filter_expression: true,
filtering_level: 'ALL',
having_all_tags: ['having_all_tag']
})
};
fetch('https://api.extole.io/v6/users/{user_id}/subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"channels": [
{
"id": "<string>",
"type": "EMAIL"
}
],
"dedupe_duration_ms": 123,
"filter_expression": true,
"filtering_level": "ALL",
"having_all_tags": [
"<string>"
],
"subscription_id": "<string>"
}User Subscriptions
Update a user subscription
Updates the specified notification subscription for the given user. Returns 400 invalid_subscription_id if the subscription does not exist.
PUT
/
v6
/
users
/
{user_id}
/
subscriptions
/
{subscription_id}
Update a user subscription
Authorizations
HEADERQUERYCOOKIE
Path Parameters
The unique identifier of this user at Extole.
Body
application/json
Body of a PUT /v6/users/{user_id}/subscriptions/{subscription_id} request.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Choose between static or dynamic filter expression. Runtime expressions use UserSubscriptionFilterContext.
Available options:
ALL, NONE, NOTEWORTHY, SOME Response
Updated user subscription.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
filter_expression
Static Value · booleanRuntime - Handlebars · stringRuntime - Javascript · string
required
The filter expression as configured: a literal value, or an expression (type:string) when defined dynamically. Runtime expressions use UserSubscriptionFilterContext.
Available options:
ALL, NONE, NOTEWORTHY, SOME ⌘I
